1

Topic: NEED: Infection 0.7.5

Hey everyone! I just returned to Teeworlds after...9 years. I have noticed there still is a fairly good size player base running and I would like to host an infection gametype compatible with 0.7.5.

Infection was VERY popular around 9 years ago...I have no idea why DDRace has become the new standard...Does anyone know where I can get the infection mod files? Or if there is one available and compatible with 0.7.5?

2

Re: NEED: Infection 0.7.5

hello, if you want make a infection mod, its to ez, but if you want make a infclass, i think you can view yavl's infcroya

i code a teeworlds team defense mod and InfclassCR.

3

Re: NEED: Infection 0.7.5

Hey Scrat, hey community,

Does anyone know where I can get the infection mod files?

90% chance for version <= 0.7.5 @ https://github.com via searching 'teeworlds infection" and "teeworlds mod infection" and "teeworlds mods" for 90%sure: repositories.

Or if there is one available and compatible with 0.7.5?

I'm rephrasing question as: "Is there an Infection mod Teeworlds mod to use in conjunction with the teeworlds 0.7.5 server that would work with teeworlds 0.7.5 gaming clients?"
Assuming you have 5 hours of sifting through what you exactly need, 99% yes.

4

Re: NEED: Infection 0.7.5

There is InfCroya mod for 0.7 teeworlds (yavl/teeworlds-infcroya on github), but I suppose it’s codebase should be updated to latest teeworlds release in order to make it working for 0.7.5 clients. There is also pure_luck’s infNext (a non-orthodox infclass) which is more tested/stable and even supports both 0.6/0.7 clients, one should ask him for the source code.

If you are looking for a pure infection mod without classes etc & know how to mod, you can make one based on InfCroya (the codebase is small and mostly in one folder).

No one hosts infclass on 0.7.5 because it’s not popular. It gets some players for few days (even like 16+ players), but after that it’s always empty. However, InfClass has constant players on teeworlds 0.6, you can check for play time on InfClass discord: https://discord.gg/Sxk5ssv

5

Re: NEED: Infection 0.7.5

Note: Major versions set the only compatibility breaking changes, so any 0.7 server mod like this one should be fine with newer 0.7 clients.

Since the infection community mostly sticks to 0.6, you can access it through a 0.6 client. That is possible either by downloading 0.6.5 here, or by setting it in Steam options.

Not Luck, Just Magic.